Subject: [bug#51216] [PATCH 0/1] swh: Allows token from Software Heritage authentication service.

From: zimoun <[email-masked]>
Date: Thu, 14 Oct 2021 23:52:30 +0200

Re,

On Thu, 14 Oct 2021 at 23:44, Ludovic Courtès <[email-masked]> wrote:

>> purpose I get a lot of android packages scheduled after checking many admin.
>
> You mean the SWH admins manually scheduled them?

No no, sorry my bad wording.  I mean “guix lint -c archival” checked all
the 260+ packages in gnu/packages/admin.scm then it checked
gnu/packages/android.scm, found some unarchived and scheduled them.

>> It is interesting to note lines as:
>>
>>   Disarchive entry refers to non-existent SWH directory 'aeae11cb3c33ab33374e222dc3bdf17039808a5b'
>>
>> which shows that sources.json is maybe not fully working as expected.
>> Investigations required.
>
> Weird.  I guess we should pick a few specific cases, make sure they’re
> listed in sources.json and they’re not 404, and then ask the SWH team
> whether they can check their logs to understand what happened.

Yeah… investigations required. :-)

Cheers,
simon